package com.miaozhen.bean;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Profile;
import org.springframework.stereotype.Component;


@Component
@ConfigurationProperties(prefix = "remote")
public class ConfigBean {

	/** ssh 命令格式 */
	private final static String SSH_FORMAT = "%s@%s:%s";


	/**
	 * checkfile 中内容的分隔符
	 */
	public final static String CHECKFILE_CONTENT_SEPARATOR = "\t";

	@Value("${sgm.push_sftp_server.remote.username}")
	private String sftpaeUser;
	@Value("${sgm.push_sftp_server.remote.password}")
	private String sftpaePassword;
	@Value("${sgm.push_sftp_server.remote.host}")
	private String sftpHost;
	@Value("${sgm.push_sftp_server.remote.port}")
	private Integer sftpPort;
	@Value("${sgm.push_sftp_server.bigDataDept.remote.dir}")
	private String sftpMsmDir;
	@Value("${sgm.push_sftp_server.bigDataDept.segment.dir}")
	private String segment;
	@Value("${sgm.push_sftp_server.bigDataDept.error.dir}")
	private String error;

	public static String getSshFormat() {
		return SSH_FORMAT;
	}

	public static String getCheckfileContentSeparator() {
		return CHECKFILE_CONTENT_SEPARATOR;
	}

	public String getSftpaeUser() {
		return sftpaeUser;
	}

	public void setSftpaeUser(String sftpaeUser) {
		this.sftpaeUser = sftpaeUser;
	}

	public String getSftpaePassword() {
		return sftpaePassword;
	}

	public void setSftpaePassword(String sftpaePassword) {
		this.sftpaePassword = sftpaePassword;
	}

	public String getSftpHost() {
		return sftpHost;
	}

	public void setSftpHost(String sftpHost) {
		this.sftpHost = sftpHost;
	}

	public Integer getSftpPort() {
		return sftpPort;
	}

	public void setSftpPort(Integer sftpPort) {
		this.sftpPort = sftpPort;
	}

	public String getSftpMsmDir() {
		return sftpMsmDir;
	}

	public String getSegment() {
		return segment;
	}

	public void setSegment(String segment) {
		this.segment = segment;
	}

	public void setSftpMsmDir(String sftpMsmDir) {
		this.sftpMsmDir = sftpMsmDir;
	}

	public String getError() {
		return error;
	}

	public void setError(String error) {
		this.error = error;
	}

	@Override
	public String toString() {
		return "ConfigBean{" +
				"sftpaeUser='" + sftpaeUser + '\'' +
				", sftpaePassword='" + sftpaePassword + '\'' +
				", sftpHost='" + sftpHost + '\'' +
				", sftpPort=" + sftpPort +
				", sftpMsmDir='" + sftpMsmDir + '\'' +
				", segment='" + segment + '\'' +
				", error='" + error + '\'' +
				'}';
	}
}
